package com.abcsz.litigationcase.service;

import com.abcsz.litigationcase.dao.entity.LawFirmEntity;
import com.abcsz.litigationcase.domain.ro.LawFirmQueryRo;
import com.abcsz.litigationcase.domain.ro.LawFirmRo;
import com.abcsz.litigationcase.domain.vo.LawFirmQueryVo;
import com.abcsz.litigationcase.domain.vo.PublicVo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 律师事务所信息 服务类
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
public interface LawFirmService extends IService<LawFirmEntity> {

    LawFirmQueryVo lawFirmQuery(LawFirmQueryRo ro);

    PublicVo lawFirmInsert(LawFirmRo ro);

    PublicVo lawFirmModify(LawFirmRo ro);
}
