package com.abcsz.litigationcase.controller;


import com.abcsz.litigationcase.domain.ro.DataDictionaryQueryRo;
import com.abcsz.litigationcase.domain.ro.UserRo;
import com.abcsz.litigationcase.domain.vo.DataDictionaryQueryVo;
import com.abcsz.litigationcase.domain.vo.PublicVo;
import com.abcsz.litigationcase.service.DataDictionaryService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 数据字典信息 前端控制器
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@RestController
@RequestMapping("/dataDictionaryEntity")
public class DataDictionaryController {

    @Autowired
    private DataDictionaryService dataDictionaryService;

    @ApiOperation("查询数字字典信息")
    @PostMapping("/query")
    public DataDictionaryQueryVo query(@RequestBody @Validated DataDictionaryQueryRo ro)  {

        DataDictionaryQueryVo vo = dataDictionaryService.dataDictonaryQuery(ro);
        return vo;
    }
}

